stdcxx-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From se...@apache.org
Subject svn commit: r451390 - /incubator/stdcxx/trunk/etc/config/run_locale_utils.sh
Date Fri, 29 Sep 2006 19:10:33 GMT
Author: sebor
Date: Fri Sep 29 12:10:33 2006
New Revision: 451390

URL: http://svn.apache.org/viewvc?view=rev&rev=451390
Log:
2006-09-29  Martin Sebor  <sebor@roguewave.com>

	* run_locale_utils.sh (signal_cleanup): Renamed...
	(cleanup): ...to this and set up as a handler for SIGHUP,
	SIGINT, SIGQUIT, and SIGTERM.

Modified:
    incubator/stdcxx/trunk/etc/config/run_locale_utils.sh

Modified: incubator/stdcxx/trunk/etc/config/run_locale_utils.sh
URL: http://svn.apache.org/viewvc/incubator/stdcxx/trunk/etc/config/run_locale_utils.sh?view=diff&rev=451390&r1=451389&r2=451390
==============================================================================
--- incubator/stdcxx/trunk/etc/config/run_locale_utils.sh (original)
+++ incubator/stdcxx/trunk/etc/config/run_locale_utils.sh Fri Sep 29 12:10:33 2006
@@ -465,9 +465,9 @@
 }
 
 #
-# Cleanup handler
+# cleanup/signal handler
 #
-signal_cleanup ()
+cleanup ()
 {
     if [ "$no_clean" = "" ]; then
         # clean up
@@ -537,8 +537,8 @@
         exit 1
     fi
 
-    # set our cleanup on exit trap
-    trap signal_cleanup EXIT
+    # clean up temporary files on signal or exit
+    trap cleanup HUP INT QUIT TERM EXIT
 
     # test only one locale
     test_locale $nlsdir $tmpdir $locale_db;



Mime
View raw message